Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.optimization.UnembeddedFontSettings Class Reference
Inheritance diagram for foxit.addon.optimization.UnembeddedFontSettings:

## Public Member Functions
| UnembeddedFontSettings ()
| Constructor.
| UnembeddedFontSettings (UnembeddedFontSettings other)
| Constructor, with another unembedded font settings object. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | SetSubsetAllEmFonts (bool is_subset_all_emb_fonts)
| Sets whether to include subsets of all unembedded fonts. More...
void | SetUnembeddedFontNameArray (WStringArray font_name_array)
| Set a font name array to specify which fonts are to be unembeded. More...

## Detailed Description

This class represents the settings for unembedded fonts. This class object can be set to class OptimizerSettings and then be used to optimize a PDF document.

See also
  OptimizerSettings

## Constructor & Destructor Documentation

## ◆ UnembeddedFontSettings()

foxit.addon.optimization.UnembeddedFontSettings.UnembeddedFontSettings | ( | UnembeddedFontSettings | other | ) |
| inline

Constructor, with another unembedded font settings object.

Parameters

  [in] | other | Another ImageSettings object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit.addon.optimization.UnembeddedFontSettings.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetSubsetAllEmFonts()

void foxit.addon.optimization.UnembeddedFontSettings.SetSubsetAllEmFonts | ( | bool | is_subset_all_emb_fonts | ) |
| inline

Sets whether to include subsets of all unembedded fonts.

Parameters

  [in] | is_subset_all_emb_fonts | true means to include subsets of all unembedded fonts. false means not to include subsets of all unembedded fonts.

Returns
  void.

## ◆ SetUnembeddedFontNameArray()

void foxit.addon.optimization.UnembeddedFontSettings.SetUnembeddedFontNameArray | ( | WStringArray | font_name_array | ) |
| inline

Set a font name array to specify which fonts are to be unembeded.

This function can be used to specify which fonts are to be unembedded. User can use function pdf.PDFDoc.GetEmbeddedFontData to get the embedded font name arrays of a PDF document, then decide which embeded fonts are to be unembeded, and pass the unembeded font name array to current function.

Parameters

  [in] | font_name_array | A font name array to specify which fonts are to be unembeded.

Returns
  None.